[Q] Android Firmware Help

I own a Samsung Galaxy S4 Active GT-I9295 (international version) and I recently unrooted my device so I can update my OS. I try to update my OS as I'm currently running 4.2.2 but when I check for updates it notifies me saying "Your device has been modified. Software updates are not available" and looking at the status of my phone, it says its "custom".

I want to be able to fix this and update to KitKat but I don't know where to start or what firware to choose. When searching the database on SamMobile, I came across this ( sammobile.com/firmwares/download/34604/I9295XXUCNH2_I9295BTUCNH1_BTU.zip/ ) but its the UK version (I live in the USA). Does it matter what country I select for the firmware? Do I need to match the PDA, CSC, or MODEM codes to my existing phone/firmware of that from the link? Will this brick my device or am I clear to apply this using Odin? Sorry for probably the very basic questions but Im very new to these kind of things.

Show Accepted Answer

Guest Quick Reply (No URL, BBcode or HTML)

Last post by clair75
2 hours ago
Last post by waters.kristin
2 hours ago
Last post by aliya10
3 hours ago
Last post by bgrady
2 hours ago
Last post by btoy
4 hours ago
Last post by zmayert
2 hours ago
Last post by nlind
1 hour ago
Last post by thad23
1 hour ago
Last post by ohara.pink
3 hours ago